package com.taikor.investment.modules.user;

import android.view.View;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.RadioButton;
import android.widget.TextView;

import com.taikor.investment.R;
import com.taikor.investment.base.BaseActivity;
import com.taikor.investment.mylibrary.TAnalytics;

import butterknife.BindView;
import butterknife.OnClick;

/**
 * 个人信息
 * Created by Any on 2017/5/4.
 */
public class InfoActivity extends BaseActivity {
    
    @BindView(R.id.tv_bar_title)
    TextView tvBarTitle;
    @BindView(R.id.iv_user_photo)
    ImageView ivUserPhoto;//用户头像
    @BindView(R.id.et_user_name)
    EditText etUserName;//用户姓名
    @BindView(R.id.rb_sex_male)
    RadioButton rbSexMale;
    @BindView(R.id.rb_sex_female)
    RadioButton rbSexFemale;
    @BindView(R.id.et_user_company)
    EditText etUserCompany;//用户所在公司
    @BindView(R.id.et_user_address)
    EditText etUserAddress;//地址
    @BindView(R.id.et_user_job)
    EditText etUserJob;//职位

    @Override
    public int getContentViewId() {
        return R.layout.activity_user_info;
    }

    @Override
    public void initView() {
        tvBarTitle.setText("个人信息");
    }

    @OnClick({R.id.tv_bar_back, R.id.iv_user_photo, R.id.rb_sex_male, R.id.rb_sex_female, R.id.bt_save})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.tv_bar_back:
                finish();
                break;
            case R.id.iv_user_photo:
                break;
            case R.id.rb_sex_male:
                break;
            case R.id.rb_sex_female:
                break;
            case R.id.bt_save:
                finish();
                break;
        }
    }

    //埋点
    @Override
    protected void onResume() {
        super.onResume();
        TAnalytics.onPageStart("selfInfoPage");
    }

    @Override
    protected void onPause() {
        super.onPause();
        TAnalytics.onPageLoad("selfInfoPage", "minePage", "", "");
    }
}
